#!/bin/sh
#
# rfutil dbname -C aimage list
#
# Extent:  1
# Status:  Empty
#   Type:  Variable Length
#   Path:  /ai/sports.a1
#   Size:  240
#   Used:  0
#  Start:  N/A
#  Seqno:  0
# 
# Extent:  2
# Status:  Empty
#   Type:  Variable Length
#   Path:  /ai/sports.a2
#   Size:  240
#   Used:  0
#  Start:  N/A
#  Seqno:  0
# 
# ...

XLINE=

# echo "Extent Status Type Path Size Used Start Seqno"

rfutil ${1} -C aimage list | while read X1 X2
do

	if [ "${X1}" = "OpenEdge" ]
	then
		continue
	fi
 
	if [ -z "${X1}" ]
	then
		if [ ! -z "${XLINE}" ]
		then
			echo "${XLINE}"
		fi
		XLINE=
	fi

	if [ ! -z "${X2}" ]
	then
		XLINE="${XLINE} ${X2}"
	fi

	X1=
	X2=

done

echo "${XLINE}"
echo
