#!/bin/sh
#

. #ENVPT3#/bin/protopenv

date
echo "The following monitors are running:"
ps -ef | grep util/ | grep -v grep
echo ""

echo "The following .flg files exist:"
ls ${TMPDIR}/*.flg
echo ""

echo "Press <enter> to restart ProTop monitors by deleting the .flg files..."
read cmd

if [ ! -z "${TMPDIR}" ]
then
	rm -f ${TMPDIR}/*.flg
fi

sleep 5

ps -ef | grep util/ | grep -v grep
echo ""

echo "Remove the contents of ${TMPDIR}?"
read cmd

if [ "${cmd}" = "y" ]
then
	if [ ! -z "${TMPDIR}" ]
	then
		rm -f ${TMPDIR}/*
	fi
fi

echo ""

echo "Remove the contents of ${LOGDIR}?"
read cmd

if [ "${cmd}" = "y" ]
then
	if [ ! -z "${LOGDIR}" ]
	then
		rm -f ${LOGDIR}/*
	fi
fi
